Read the integrity-checked source diff for a proposal
curl --request GET \
--url https://api.firedrill.run/v1/projects/{projectId}/authoring-sessions/{authoringSessionId}/proposals/{authoringProposalId}/diff \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/authoring-sessions/{authoringSessionId}/proposals/{authoringProposalId}/diff"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/projects/{projectId}/authoring-sessions/{authoringSessionId}/proposals/{authoringProposalId}/diff', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"proposal": {
"schemaVersion": 1,
"authoringProposalId": "<string>",
"authoringSessionId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"baseRevision": "<string>",
"state": "ready",
"artifactDigest": "<string>",
"changedFiles": [
{
"path": "<string>",
"change": "added",
"beforeDigest": "<string>",
"afterDigest": "<string>",
"afterBytes": 1048576
}
],
"buildHash": "<string>",
"diagnostics": [
{
"code": "<string>",
"severity": "error",
"message": "<string>",
"span": {
"path": "<string>",
"start": {
"line": 4503599627370495,
"column": 4503599627370495
},
"end": {
"line": 4503599627370495,
"column": 4503599627370495
}
},
"path": [
"<string>"
],
"suggestion": "<string>",
"data": {}
}
],
"version": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"source": "agent",
"authoringTurnId": "<string>",
"pullRequestNumber": 4503599627370495,
"pullRequestUrl": "<string>",
"publishedRevision": "<string>",
"publishedAtMs": 0
},
"unifiedDiff": "<string>"
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Read the integrity-checked source diff for a proposal
Read the integrity-checked source diff for a proposal
Authorizations
Opaque control credential
Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^authsess_[0-9a-z]{12,32}$Pattern:
^aprop_[0-9a-z]{12,32}$